aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorDario Lombardo <lomato@gmail.com>2020-01-20 15:19:12 +0100
committerDario Lombardo <lomato@gmail.com>2020-01-21 16:22:43 +0000
commit23b91bdcd0c7282491eb13abe0b0365859fc16a7 (patch)
tree5db5326b24b66628f83607a2a564c333bea887c7 /tools
parentb0c5f2230dfaa86196c3aeafc03d538b6efe81f7 (diff)
tools: minor changes in bsd-setup script.
Changes: - use bash - fix list checks Change-Id: Idb933155035091974460d6957a9f6a223f6680dc Reviewed-on: https://code.wireshark.org/review/35872 Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com> Reviewed-by: Dario Lombardo <lomato@gmail.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/bsd-setup.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tools/bsd-setup.sh b/tools/bsd-setup.sh
index 68fe5de3d7..c44520b75d 100755
--- a/tools/bsd-setup.sh
+++ b/tools/bsd-setup.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
# Setup development environment on BSD-like platforms.
#
# Tested on: FreeBSD, OpenBSD, NetBSD.
@@ -160,18 +160,18 @@ esac
ACTUAL_LIST=$BASIC_LIST
# Now arrange for optional support libraries
-if [ $ADDITIONAL -ne 0 ]
+if [ "$ADDITIONAL" != "" ]
then
ACTUAL_LIST="$ACTUAL_LIST $ADDITIONAL_LIST"
fi
$PM $PM_OPTIONS $ACTUAL_LIST $OPTIONS
-if [ $? -ne 0 ]
+if [ $? ]
then
exit 2
fi
-if [ $ADDITIONAL -eq 0 ]
+if [ "$ADDITIONAL" == "" ]
then
echo -e "\n*** Optional packages not installed. Rerun with --install-optional to have them.\n"
fi